/*
    This file is part of Blobtrixd
    Copyright (C) 2004-2005 Markus Kettunen

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "follower.h"

#include "stdlib.h"
#include "stdio.h"
#include "string.h"

follower::follower() {
	free=true;
	ping=9999;

	nick[0]='\0';
}

bool follower::SetIPaddress(IPaddress address) {
	this->address.host = address.host;
	this->address.port = address.port;
	return 1;
}

bool follower::SetNick(char *nick) {
	if (strlen(nick)<=20) {
		strncpy (this->nick, nick, 20);
		return 1;
	} else return 0;
}

char *follower::GetNick() {
	return nick;
}

void follower::pinged() {
	lping = SDL_GetTicks();
}
Uint32 follower::lastping() {
	return lping;
}
